Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class DocLitBareSchemaGenerator

    java.lang.Object
      org.apache.axis2.description.java2wsdl.DefaultSchemaGenerator
          org.apache.axis2.description.java2wsdl.DocLitBareSchemaGenerator

All Implemented Interfaces:
  Java2WSDLConstants, SchemaGenerator

    public class DocLitBareSchemaGenerator

extends DefaultSchemaGenerator

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.description.java2wsdl.DefaultSchemaGenerator
`DefaultSchemaGenerator.MathodComparator, DefaultSchemaGenerator.PropertyComparator`

Field Summary

Fields inherited from class org.apache.axis2.description.java2wsdl.DefaultSchemaGenerator
`attrFormDefault, classLoader, className, customSchemaLocation, elementFormDefault, excludeMethods, extraClasses, generateBaseException, isGenerateWrappedArrayTypes, mappingFileLocation, methods, methodTable, NAME_SPACE_PREFIX, nonRpcMethods, nsGen, pkg2nsmap, schema_namespace_prefix, schemaMap, schemaTargetNameSpace, service, serviceClass, sortAttributes, targetNamespace, targetNamespacePrefixMap, typeTable, useWSDLTypesNamespace, xmlSchemaCollection`

Fields inherited from interface org.apache.axis2.description.java2wsdl.Java2WSDLConstants
`ATTR_FORM_DEFAULT_OPTION, ATTR_FORM_DEFAULT_OPTION_LONG, ATTRIBUTE_NAME, AXIS2_NAMESPACE_PREFIX, AXIS2_XSD, BINDING_LOCAL_NAME, BINDING_NAME_SUFFIX, CLASSNAME_OPTION, CLASSNAME_OPTION_LONG, CLASSPATH_OPTION, CLASSPATH_OPTION_LONG, COLON_SEPARATOR, CUSTOM_SCHEMA_LOCATION, CUSTOM_SCHEMA_LOCATION_LONG, DEFAULT_LOCATION_URL, DEFAULT_SCHEMA_NAMESPACE_PREFIX, DEFAULT_TARGET_NAMESPACE, DEFAULT_TARGET_NAMESPACE_PREFIX, DEFAULT_WSDL_NAMESPACE_PREFIX, DISABLE_BINDING_REST, DISABLE_BINDING_SOAP11, DISABLE_BINDING_SOAP12, DISALLOW_ANON_TYPES_OPTION, DISALLOW_ANON_TYPES_OPTION_LONG, DISALLOW_NILLABLE_ELEMENTS_OPTION, DISALLOW_NILLABLE_ELEMENTS_OPTION_LONG, DOC_LIT_BARE, DOC_LIT_BARE_LONG, DOC_LIT_BARE_PARAMETER, DOCUMENT, ELEMENT_ATTRIBUTE_NAME, ELEMENT_FORM_DEFAULT_OPTION, ELEMENT_FORM_DEFAULT_OPTION_LONG, EXTRA_CLASSES_DEFAULT_OPTION, EXTRA_CLASSES_DEFAULT_OPTION_LONG, FAULT_LOCAL_NAME, FAULT_MESSAGE, FORM_DEFAULT_QUALIFIED, FORM_DEFAULT_UNQUALIFIED, HTTP_BINDING, HTTP_NAMESPACE, HTTP_PORT, HTTP_PREFIX, IN_PUT_LOCAL_NAME, JAVA_PKG_2_NSMAP_OPTION, JAVA_PKG_2_NSMAP_OPTION_LONG, LITERAL, LOCATION, LOCATION_OPTION, LOCATION_OPTION_LONG, MESSAGE_LOCAL_NAME, MESSAGE_PART_NAME_OPTION, MESSAGE_PART_NAME_OPTION_LONG, MESSAGE_SUFFIX, MIME_NAMESPACE, MIME_PREFIX, NAMESPACE_GENERATOR_OPTION, NAMESPACE_GENERATOR_OPTION_LONG, OPERATION_LOCAL_NAME, OUT_PUT_LOCAL_NAME, OUTPUT_FILENAME_OPTION, OUTPUT_FILENAME_OPTION_LONG, OUTPUT_LOCATION_OPTION, OUTPUT_LOCATION_OPTION_LONG, PARAMETERS, PART_ATTRIBUTE_NAME, PORT, PORT_NAME_SUFFIX, PORT_TYPE_LOCAL_NAME, PORT_TYPE_NAME_OPTION, PORT_TYPE_NAME_OPTION_LONG, PORT_TYPE_SUFFIX, REQUEST, REQUEST_ELEMENT_SUFFIX_OPTION, REQUEST_ELEMENT_SUFFIX_OPTION_LONG, REQUEST_MESSAGE, RESPONSE, RESPONSE_MESSAGE, REST_BINDING_NAME_OPTION_LONG, RESULT, SCHEMA_GENERATOR_OPTION, SCHEMA_GENERATOR_OPTION_LONG, SCHEMA_MAPPING_FILE_LOCATION, SCHEMA_MAPPING_FILE_LOCATION_LONG, SCHEMA_NAMESPACE_PRFIX, SCHEMA_TARGET_NAMESPACE_OPTION, SCHEMA_TARGET_NAMESPACE_OPTION_LONG, SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION, SCHEMA_TARGET_NAMESPACE_PREFIX_OPTION_LONG, SERVICE_LOCAL_NAME, SERVICE_NAME_OPTION, SERVICE_NAME_OPTION_LONG, SOAP_ACTION, SOAP_ADDRESS, SOAP_BODY, SOAP_USE, SOAP11_BINDING_NAME_OPTION_LONG, SOAP11_PREFIX, SOAP11PORT, SOAP12_BINDING_NAME_OPTION_LONG, SOAP12_PREFIX, SOAP12BINDING_NAME_SUFFIX, SOAP12PORT, SOLE_INPUT, STYLE, STYLE_OPTION, STYLE_OPTION_LONG, TARGET_NAMESPACE_OPTION, TARGET_NAMESPACE_OPTION_LONG, TARGET_NAMESPACE_PREFIX_OPTION, TARGET_NAMESPACE_PREFIX_OPTION_LONG, TARGETNAMESPACE_PREFIX, TRANSPORT, TRANSPORT_URI, URI_2001_SCHEMA_XSD, URI_WSDL11_SOAP, URI_WSDL12_SOAP, URN_PREFIX, USE_OPTION, USE_OPTION_LONG, WSAD_NS, WSDL_NAMESPACE, WSDL_VERSION_1, WSDL_VERSION_2, WSDL_VERSION_2_OPTIONAL, WSDL_VERSION_OPTION, WSDL_VERSION_OPTION_LONG`

Constructor Summary
`DocLitBareSchemaGenerator(java.lang.ClassLoader loader, java.lang.String className, java.lang.String schematargetNamespace, java.lang.String schematargetNamespacePrefix, AxisService service)`

Method Summary
`protected void` | `generateSchemaForSingleElement(javax.xml.namespace.QName schemaTypeName, java.lang.String paraName, boolean isArray)`
`protected org.apache.ws.commons.schema.XmlSchema` | `getXmlSchema(java.lang.String targetNamespace)`
`protected java.lang.reflect.Method[]` | `processMethods(java.lang.reflect.Method[] declaredMethods)`

Methods inherited from class org.apache.axis2.description.java2wsdl.DefaultSchemaGenerator
`addContentToMethodSchemaType, addImport, generatePrefix, generateSchema, generateSchema, generateSchemaforFieldsandProperties, generateSchemaforGenericFields, getAttrFormDefault, getAttrFormDefaultSetting, getClassName, getComplexTypeForElement, getCustomSchemaLocation, getElementFormDefault, getElementFormDefaultSetting, getExtraClasses, getMappingFileLocation, getMethods, getNsGen, getParameterName, getPkg2nsmap, getQualifiedName, getSchemaTargetNameSpace, getSimpleClassName, getTargetNamespace, getTypeTable, isDataHandler, isUseWSDLTypesNamespace, processException, resolveSchemaNamespace, setAttrFormDefault, setAxisService, setCustomSchemaLocation, setElementFormDefault, setExcludeMethods, setExtraClasses, setMappingFileLocation, setNonRpcMethods, setNsGen, setPkg2nsmap, setUseWSDLTypesNamespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocLitBareSchemaGenerator

    public DocLitBareSchemaGenerator(java.lang.ClassLoader loader,
                                     java.lang.String className,
                                     java.lang.String schematargetNamespace,
                                     java.lang.String schematargetNamespacePrefix,
                                     AxisService service)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### processMethods

    protected java.lang.reflect.Method[] processMethods(java.lang.reflect.Method[] declaredMethods)
                                                 throws java.lang.Exception

  Overrides:
    `processMethods` in class `DefaultSchemaGenerator`
  Throws:
    `java.lang.Exception`

### generateSchemaForSingleElement

    protected void generateSchemaForSingleElement(javax.xml.namespace.QName schemaTypeName,
                                                  java.lang.String paraName,
                                                  boolean isArray)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getXmlSchema

    protected org.apache.ws.commons.schema.XmlSchema getXmlSchema(java.lang.String targetNamespace)

  Overrides:
    `getXmlSchema` in class `DefaultSchemaGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.